#!/bin/bash

project_path=$(cd `dirname $0`; pwd)
cd $project_path

translations_dir='.'
src_dir='..'
locales=('en' 'zh_CN' 'bo_CN')

for locale in "${locales[@]}"
do
    lupdate -no-obsolete ${src_dir}/qt_zeroconf ${src_dir}/avahi_qt ${src_dir}/backend ${src_dir}/common ${src_dir}/printer_manager ${src_dir}/device_manager ${src_dir}/ui ${src_dir}/util -ts ${translations_dir}/kylin-printer_${locale}.ts
    lupdate -no-obsolete ${src_dir}/dictionary/ -ts ${translations_dir}/kylin-printer_dict_${locale}.ts
done